ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Re: Future of JDK 5 support in Ant
Date Sun, 28 Jul 2013 20:26:33 GMT
I have always been able to hack the java installs on Mac OS X to be able to run the java 1.4
and 1.5, even if their official support were dropped a long time ago. But since that last
OS upgrade, they don't run anymore. Now I can only build against their rt.jar to verify that
I am not using too young API.

Stefan reported that he don't have a jdk 1.5 either, probably lot of us don't either. I think
this is an issue important enough to require Java 1.6 sooner than later.

BTW, both Ivy and IvyDE still only require Java 1.4. I think we can safely move to Java 5
now (and I am quite bored to code without the generics :p).

Nicolas

Le 18 juil. 2013 à 00:59, Jesse Glick <jglick@cloudbees.com> a écrit :

> It has now been almost a year and a half since I called a vote to drop JDK 1.4 support
for 1.9.0. Is anyone thinking about when to drop JDK 5 support for running Ant itself, e.g.
in 1.10.0 or whatever? (Keeping the ability to fork older tools for <javac> etc. of
course.) Jenkins has already done so in dev builds, and Maven devs are discussing it. Eclipse
Kepler and IDEA 12 both seem to require JDK 6+, and NetBeans 7.4 beta already requires JDK
7+. Potential benefits of a 6+ dependency include:
> 
> · fewer combinations to test—do not need to debug test failures only occurring on
JDK 5 any more
> · easier to test against baseline JDK (cannot download JDK 5 without oracle.com login,
and IIUC it is not available on Macs at all)
> · OpenJDK 6 exists, so we would be based on an OSS platform (no OSS Java 5 impl is widely
used)
> · -target 6 bytecode is faster to load due to split verifier, reducing Ant run time
a bit
> · miscellaneous new APIs useful to us, e.g. File.setWritable which makes /usr/bin/chmod
unnecessary in most cases, or java.io.Console, etc.
> · javax.script instead of having to depend on BSH
> . javax.tools so that in-process javac can be run with a supported API (incl. rich diagnostics,
virtual input files, etc.)
> · javax.annotation.processing & javax.lang.model for various purposes, e.g. compile-time
verification of task class signatures if defining tasks w/ annotations
> 
> Of course Java 7 introduces more things of interest, such as java.nio.file and minor
language improvements, but I expect Java 6 is still widely enough used at this point that
requiring 7+ would be unpopular.
> 
> This message should not be considered a proposal so much as a testing of the waters.
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message